import request from "@/utils/request";

// 个人信息录入
export const insertClientUser = (data) => {
  return request({
    url: "/app/insertClientUser",
    method: "POST",
    data,
  });
};
// 企业信息修改
export const updateEnterprise = (data) => {
  return request({
    url: "/app/updateEnterprise",
    method: "POST",
    data,
  });
};

// 企业服务需求列表
export const demandList = (params) => {
  return request({
    url: "/app/demandList",
    method: "GET",
    params,
  });
};

// 产品列表
export const getEnterpriseProduct = (params) => {
  return request({
    url: "/app/getEnterpriseProduct",
    method: "GET",
    params,
  });
};

// 新增产品
export const insertEnterpriseProduct = (data) => {
  return request({
    url: "/app/insertEnterpriseProduct",
    method: "POST",
    data,
  });
};
// 根据id获取产品信息
export const getProductById = (params) => {
  return request({
    url: "/app/getProductById",
    method: "GET",
    params,
  });
};
